NAME
Tcl_Concat - concatenate a collection of strings

SYNOPSIS
#include <tcl.h>

char *
Tcl_Concat(argc, argv)

ARGUMENTS
Number of strings. Array of strings to concatenate. Must have argc entries.

DESCRIPTION

Tcl_Concat is a utility procedure used by several of the Tcl commands. Given a collection of strings, it concatenates them together into a single string, with the original strings separated by spaces. This procedure behaves differently than Tcl_Merge, in that the arguments are simply concatenated: no effort is made to ensure proper list structure. The result string is dynamically allocated using malloc(); the caller must eventually release the space by calling free().

KEYWORDS
concatenate, strings